hdt-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adam Berry (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDT-21) The new Mapper, Reducer and MapReduceDriver wizard need to be migrated from the old api
Date Thu, 09 May 2013 13:13:15 GMT

    [ https://issues.apache.org/jira/browse/HDT-21?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13652944#comment-13652944
] 

Adam Berry commented on HDT-21:
-------------------------------

For the latest patch I made a few changes. I moved everything back into the .wizards package,
ie out of api2, and then changed things in the plugin.xml. Basically so these just overwrite
the old ones.

I don't think there is any real reason to have wizards that support the old api.

I'm +1 on the patch as it is now, so if no one objects this will be committed.

Great work Mirko!
                
> The new Mapper, Reducer and MapReduceDriver wizard need to be migrated from the old api
> ---------------------------------------------------------------------------------------
>
>                 Key: HDT-21
>                 URL: https://issues.apache.org/jira/browse/HDT-21
>             Project: Hadoop Development Tools
>          Issue Type: Improvement
>          Components: MapReduce Source
>            Reporter: Adam Berry
>         Attachments: HDT-21-2.patch, HDT-21.patch, screen_01.tiff
>
>
> All three are using types in the original api, located in org.apache.hadoop.mapred.
> These need to be updated to create things based off the api in org.apache.hadoop.mapreduce.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message